<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMatchingCommissionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: matching_commissions
         */
        Schema::create('matching_commissions', function ($table) {
            $table->increments('id');
            $table->decimal('level1', 50)->nullable();
            $table->decimal('level2', 50)->nullable();
            $table->decimal('level3', 50)->nullable();
            $table->decimal('level4', 50)->nullable();
            $table->decimal('level5', 50)->nullable();
            $table->decimal('level6', 50)->nullable();
            $table->decimal('level7', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('matching_commissions');
    }
}
